## pyliblo 0.10.0

=== doc/Makefile ===
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
BUILDDIR      = build

ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) .

.PHONY: clean html

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

clean:
	-rm -rf $(BUILDDIR)/*

## pyliblo 0.9.1

=== debian/changelog ===
pyliblo (0.9.1-4build2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 14:28:13 +0100

pyliblo (0.9.1-4build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:32:19 +0000

pyliblo (0.9.1-4) unstable; urgency=low

  * Team upload.
  * debian/rules: Do not run test suite on sparc as liblo fails to work with
    64 bit integers there. See #721617 for details.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 14 Oct 2013 20:48:33 +0200

pyliblo (0.9.1-3) unstable; urgency=low

  [ Alessio Treglia ]
  * Add autopkgtest support.
  * Use canonical Vcs URL.
  * Bump Standards.

  [ Jaromír Mikeš ]
  * Tune gitignore file to handle rather dir
  * Set dh/compat 9
  * Don't sign tags.
  * Introducing python3-liblo package (Closes: #705044)
  * Tune rules file to build python3 too.
  * Tune install files
  * Introducing python-liblo-docs package
  * Tune installing docs to python-liblo-docs package
  * Update copyright file
  * Removed deprecated xb-python-version.
  * Removed deprecated python-breaks.
  * Removed python-provides.
  * Build with cython.
  * Run python tests during build.
    thanks to Sebastian Ramacher <sramacher@debian.org>

  [ Sebastian Ramacher ]
  * debian/tests/{control,python3-liblo}: Add DEP-8 test for python3-liblo
  * debian/{rules,clean}: Clean build, pyc files and src/liblo.c.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 30 Aug 2013 22:09:30 +0200

pyliblo (0.9.1-2) unstable; urgency=low

  * Upload to unstable.
  * Relax build-dependency on python-all-dev to make it build in sid.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 12:43:24 +0100

pyliblo (0.9.1-1) experimental; urgency=low

  * New upstream release:
    - Changed send functions to raise an IOError if sending failed (probaby
      most useful with TCP connections).
    - Lots of code cleanup and deobfuscation.
    - Included unit tests in release tarball.
  * Update debian/copyright.
  * Switch to dh_python2.
  * Add python 2.7 support.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Feb 2011 00:35:54 +0100

pyliblo (0.9.0-1) experimental; urgency=low

  * Imported Upstream version 0.9.0
  * Drop DM-Upload-Allowed: yes, unnecessary.
  * Bump minimum required version of liblo.

 -- Alessio Treglia <alessio@debian.org>  Mon, 25 Oct 2010 18:39:24 +0200

pyliblo (0.8.1-3) unstable; urgency=low

  * debian/rules:
    - Don't build&install by hand; this avoids the explicit dependency on
      python2.5.
  * Update my email address.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 04 Oct 2010 11:41:05 +0200

pyliblo (0.8.1-2) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Improved description (Closes: #583153)

  [ Alessio Treglia ]
  * Compile the extensions for all supported python versions.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 29 May 2010 03:15:11 +0200

pyliblo (0.8.1-1) unstable; urgency=low

  * Initial release (Closes: #554879)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 20 Apr 2010 17:13:39 +0200

=== debian/control ===
Source: pyliblo
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 liblo-dev (>= 0.26~repack),
 python-all-dev,
 cython,
 cython3,
 python3-all-dev
Standards-Version: 3.9.4
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pyliblo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pyliblo.git
Homepage: http://das.nasophon.de/pyliblo/

Package: python-liblo
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests:
 pyliblo-utils,
 python-liblo-docs
Description: Python (Python 2) bindings for liblo, the lightweight OSC library
 pyliblo, provides Python (Python 2) bindings for liblo,
 which is an implementation of the Open Sound Control specification
 and facilitates communication between various music applications.
 .
 Open Sound Control (OSC) is a protocol for communication among computers,
 sound synthesizers, and other multimedia devices that is optimized for modern
 networking technology.


Package: python3-liblo
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Suggests:
 pyliblo-utils,
 python-liblo-docs
Description: Python (Python 3) bindings for liblo, the lightweight OSC library
 pyliblo, provides Python (Python 3) bindings for liblo,
 which is an implementation of the Open Sound Control specification
 and facilitates communication between various music applications.
 .
 Open Sound Control (OSC) is a protocol for communication among computers,
 sound synthesizers, and other multimedia devices that is optimized for modern
 networking technology.

Package: pyliblo-utils
Section: utils
Architecture: all
Depends:
 python-liblo,
 ${misc:Depends},
 ${python:Depends}
Suggests: python-liblo-docs
Description: Command line utilities for sending and receiving OSC messages
 This package contains the send_osc and dump_osc utilities, which can be
 used to send OSC messages from a command line, and to print all incoming
 messages.
 .
 Open Sound Control (OSC) is a protocol for communication among computers,
 sound synthesizers, and other multimedia devices that is optimized for modern
 networking technology.

Package: python-liblo-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: python-liblo (<< 0.9.1-3)
Replaces: python-libo (<< 0.9.1-3)
Description: Python bindings for liblo, the lightweight OSC library
 pyliblo, provides Python bindings for liblo, which is an implementation
 of the Open Sound Control specification and facilitates communication
 between various music applications.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

build-python%:
	python$* setup.py build --with-cython

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
# do not run test suite on sparc since liblo has problems with 64 bit integers
# on sparc (see #721617)
ifeq (,$(filter sparc,$(DEB_HOST_ARCH)))
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))

test-python%:
	PYTHONPATH=$(call pythonpath,$*) \
		python$* -m unittest discover -s test/ -p '*.py' -v

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif
endif

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## pyliblo 0.9.2

=== debian/changelog ===
pyliblo (0.9.2-1) unstable; urgency=low

  [ Sebastian Ramacher ]
  * debian/changelog: Fix changelog entry of 0.9.1-4. It included a fix for an
    RC bug and that should be documented.
  * Bump Standards-Version to 3.9.6
  * Convert to pybuild build system and make tests compatible with Python 3
  * Update files to remove

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 05 Oct 2014 12:54:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: pyliblo
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ dh-python,
  liblo-dev (>= 0.26~repack),
  python-all-dev,
  cython,
  cython3,
- python3-all-dev
-Standards-Version: 3.9.4
+ python3-all-dev,
+ python-setuptools,
+ python3-setuptools
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -- --build-args=--with-cython

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## pyliblo 0.10.0

=== debian/changelog ===
pyliblo (0.10.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Python 3.11 support (Closes: #1024048)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 18 Nov 2022 20:04:17 +0200

pyliblo (0.10.0-5) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Remove obsolete Breaks+Replaces
    - Bump Standards-Version
  * debian/rules: Remove now unnecessary -Wl,--as-needed
  * debian/patches: Fix build with Sphinx 4.2 (Closes: #997324)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Nov 2021 16:07:07 +0100

pyliblo (0.10.0-4) unstable; urgency=medium

  * Team upload.
  * Stop using Python 2 (Closes: #937467 ).
    - Drop Python 2 module package
    - Use Python 3 from utilities.
  * Update to debhelper-compat (= 12).
  * Update Standards-Version to 4.4.1 (no changes required).
  * Prevent tests needing internet access to prevent FTBFS (Closes: #915205).
  * Test against all supported Python 3 interpreters.

 -- Stuart Prescott <stuart@debian.org>  Wed, 15 Jan 2020 18:24:03 +1100

pyliblo (0.10.0-3) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Move sphinx:Built-Using to Built-Using
  * Remove python:Provides and python:Versions

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 07 Jan 2017 12:43:41 +0100

pyliblo (0.10.0-2) unstable; urgency=medium

  [ Alessio Treglia ]
  * Remove myself from the Uploaders field

  [ Jaromír Mikeš ]
  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Fix description.
  * Remove XS-Testsuite field.
  * Add missing substitution variable.
  * Try to avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 24 Dec 2016 08:47:54 +0100

pyliblo (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * Bump build-dep liblo-dev to version 0.27.
  * Patches applied upstream.
  * Add build-dep python3-sphinx to build doc.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 28 Apr 2015 07:42:11 +0200

pyliblo (0.9.2-2) unstable; urgency=low

  * Fix reproducible build. (Closes: #778707)
    thanks to Sebastian Ramacher <sramacher@debian.org>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 03 Mar 2015 13:19:04 +0100

=== debian/control ===
Source: pyliblo
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 liblo-dev (>= 0.27~repack),
 cython3,
 python3-all-dev,
 python3-setuptools,
 python3-sphinx,
 sphinx-common
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/multimedia-team/pyliblo.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pyliblo
Homepage: http://das.nasophon.de/pyliblo/
Rules-Requires-Root: no

Package: python3-liblo
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 pyliblo-utils,
 python-liblo-docs
Description: Python 3 bindings for liblo, the lightweight OSC library
 pyliblo, provides Python 3 bindings for liblo,
 which is an implementation of the Open Sound Control specification
 and facilitates communication between various music applications.
 .
 Open Sound Control (OSC) is a protocol for communication among computers,
 sound synthesizers, and other multimedia devices that is optimized for modern
 networking technology.

Package: pyliblo-utils
Section: utils
Architecture: all
Depends:
 python3-liblo,
 ${misc:Depends},
 ${python3:Depends},
Suggests: python-liblo-docs
Description: Command line utilities for sending and receiving OSC messages
 This package contains the send_osc and dump_osc utilities, which can be
 used to send OSC messages from a command line, and to print all incoming
 messages.
 .
 Open Sound Control (OSC) is a protocol for communication among computers,
 sound synthesizers, and other multimedia devices that is optimized for modern
 networking technology.

Package: python-liblo-docs
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Python bindings for liblo, the lightweight OSC library
 pyliblo, provides Python bindings for liblo, which is an implementation
 of the Open Sound Control specification and facilitates communication
 between various music applications.
 .
 This is the common documentation package.

=== debian/tests/control ===
Tests: python3-liblo
Depends:
 python3-all,
 python3-liblo,

=== debian/watch ===
version=3

http://das.nasophon.de/download/pyliblo-([\d]+\.[\d]+(?:\.[\d]+|)).tar.gz

## pyliblo 0.16.2

=== debian/changelog ===
pyliblo (0.16.2-0ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:04:17 +0000

pyliblo (0.16.2-0ubuntu1) plucky; urgency=medium

  * New upstream release 0.16.2 (LP: #2088364)
  * Update patches
  * Bump copyright dates
  * Add new maintainer to copyright
  * Remove obsolte patches
  * Patch for Python 3.13
  * Change install location for pyliblo-utils
  * Bump debhelper version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 17 Nov 2024 14:58:31 -0800

pyliblo (0.10.0-6) unstable; urgency=medium

  * Team upload
  * Bump Standards-Version to 4.7.0
  * Use cython3-legacy to fix FTBFS (Closes: #1056839)
  * Clean properly build files after successful build (Closes: #1046271)
  * Refresh patchset, add NoPermission test patch

 -- Dennis Braun <snd@debian.org>  Sat, 15 Jun 2024 13:35:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: pyliblo
 Section: devel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  liblo-dev (>= 0.27~repack),
  cython3,
@@ -14,10 +15,10 @@
  python3-setuptools,
  python3-sphinx,
  sphinx-common
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/pyliblo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pyliblo
-Homepage: http://das.nasophon.de/pyliblo/
+Homepage: https://github.com/gesellkammer/pyliblo3
 Rules-Requires-Root: no
 
 Package: python3-liblo

## pyliblo 0.16.3

=== docs/requirements.txt ===
emlib>=0.16.0
mkdocs-material

=== debian/changelog ===
pyliblo (0.16.3-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:26:58 +0000

pyliblo (0.16.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.16.3
  * Refresh patchset, drop patch applied by upstream

 -- Dennis Braun <snd@debian.org>  Sun, 09 Feb 2025 17:17:07 +0100

pyliblo (0.16.2-1) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with GCC-14 (Closes: #1075409)
  * Set debian-multimedia team as maintainer again

 -- Dennis Braun <snd@debian.org>  Tue, 31 Dec 2024 15:28:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pyliblo
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_install:
	dh_auto_install
	make -C doc

override_dh_installdocs:
	dh_installdocs
	dh_sphinxdoc

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyliblo3-$1\.tar\.gz/ \
  https://github.com/gesellkammer/pyliblo3/tags .*/v?(\d\S*)\.tar\.gz
